Skip to main content
POST
Create model

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body schema.

slug
string
required

Model slug.

Pattern: ^[a-z0-9]+(_[a-z0-9]+)*$
name
string
required

Model name.

datasetUuid
string<uuid>
required

Dataset identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
extractorSlug
string
required

Extractor identifier.

config
Config · object
required

Model configuration.

description
string

Model description.

schedule
Schedule · object

Model schedule configuration.

folderUuid
string<uuid>

Folder identifier. Only compatible with nativeIntegration define extractors.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$

Response

Successful response

model
Model · object
required

Created model details.